Skip to main content
`Ctrl`+`K`

# PetscFVSetDualSpace

Sets the `PetscDualSpace` used to define the inner product

## Synopsis

    #include "petscfv.h"
    PetscErrorCode PetscFVSetDualSpace(PetscFV fvm, PetscDualSpace sp)

Not Collective

## Input Parameters

- fvm - The `PetscFV` object

- sp - The `PetscDualSpace` object

## Note

A simple dual space is provided automatically, and the user typically will not need to override it.

## See Also

`PetscFVGetDualSpace()`, `PetscFVCreateDualSpace()`, `PetscDualSpace`, `PetscFV`, `PetscFVCreate()`

## Level

intermediate

## Location

src/dm/dt/fv/interface/fv.c

Index of all FV routines
Table of Contents for all manual pages
Index of all manual pages